Make fluxify's API exactly the same as redux
This should be very minimal work, it's already mostly the same but we need to rename "dispatcher" to "store" and "stores" to "reducers". Also need to add a generic `subscribe` method I think.